<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class GrantTypeEnum
{
    public const AUTHORIZATION_CODE = 'authorization_code';
    public const PASSWORD = 'password';
    public const CLIENT_CREDENTIALS = 'client_credentials';
    public const REFRESH_TOKEN = 'refresh_token';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::AUTHORIZATION_CODE,
            self::PASSWORD,
            self::CLIENT_CREDENTIALS,
            self::REFRESH_TOKEN,
        ];
    }
}
